Summary:	Tools for network auditing and penetration testing
Name:		dsniff
Version:	2.4
Release:	0.3.b1%{?dist}
License:	BSD
Group:		Applications/Internet
URL:		http://www.monkey.org/~dugsong/%{name}/
Source:		http://www.monkey.org/~dugsong/%{name}/beta/%{name}-%{version}b1.tar.gz
Patch0:		dsniff-2.4-time_h.patch
Patch1:		dsniff-2.4-mailsnarf_corrupt.patch
Patch2:		dsniff-2.4-pcap_read_dump.patch
Patch3:		dsniff-2.4-multiple_intf.patch
Patch4:		dsniff-2.4-amd64_fix.patch
Patch5:		dsniff-2.4-urlsnarf_zeropad.patch
Patch6:		dsniff-2.4-libnet_11.patch
Patch7:		dsniff-2.4-checksum.patch
Patch8:		dsniff-2.4-openssl_098.patch
Patch9:		dsniff-2.4-sshcrypto.patch
Patch10:	dsniff-2.4-sysconf_clocks.patch
Patch11:	dsniff-2.4-urlsnarf_escape.patch
Patch12:	dsniff-2.4-string_header.patch
Patch13:	dsniff-2.4-arpa_inet_header.patch
Patch14:	dsniff-2.4-pop_with_version.patch
Patch15:	dsniff-2.4-obsolete_time.patch
Patch16:	dsniff-2.4-checksum_libnids.patch
Patch17:	dsniff-2.4-fedora_dirs.patch
Patch18:	dsniff-2.4-glib2.patch
BuildRequires:	libnet-devel, openssl-devel, libnids-devel
BuildRequires:	glib2-devel, db4-devel, %{_includedir}/pcap.h
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
A collection of tools for network auditing and penetration testing. Dsniff,
filesnarf, mailsnarf, msgsnarf, urlsnarf and webspy allow to passively monitor
a network for interesting data (passwords, e-mail, files). Arpspoof, dnsspoof
and macof facilitate the interception of network traffic normally unavailable
to an attacker (e.g, due to layer-2 switching). Sshmitm and webmitm implement
active monkey-in-the-middle attacks against redirected SSH and HTTPS sessions
by exploiting weak bindings in ad-hoc PKI.

%prep
%setup -q
%patch0 -p1 -b .time_h
%patch1 -p1 -b .mailsnarf
%patch2 -p1 -b .pcap_dump
%patch3 -p1 -b .multiple_intf
%patch4 -p1 -b .amd64_fix
%patch5 -p1 -b .urlsnarf_zeropad
%patch6 -p1 -b .libnet_11
%patch7 -p1 -b .checksum
%patch8 -p1 -b .openssl_098
%patch9 -p1 -b .sshcrypto
%if 0%{?rhel}%{?fedora} >= 5
%patch10 -p1 -b .sysconf_clocks
%endif
%patch11 -p1 -b .urlsnarf_escape
%patch12 -p1 -b .string_header
%patch13 -p1 -b .arpa_inet_header
%patch14 -p1 -b .pop_with_version
%patch15 -p1 -b .obsolete_time
%patch16 -p1 -b .checksum_libnids
%patch17 -p1 -b .fedora_dirs
%patch18 -p1 -b .glib2

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install_prefix=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES LICENSE README TODO
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_sbindir}/*
%{_mandir}/man8/*.8*

%changelog
* Wed May 29 2008 Robert Scheck <robert@fedoraproject.org> 2.4-0.3.b1
- Rebuild against libnids 1.23

* Sun Feb 10 2008 Robert Scheck <robert@fedoraproject.org> 2.4-0.2.b1
- Rebuild against gcc 4.3

* Thu Nov 29 2007 Robert Scheck <robert@fedoraproject.org> 2.4-0.1.b1
- Upgrade to 2.4b1 and added many patches from Debian
- Initial spec file for Fedora and Red Hat Enterprise Linux
